## kernel-image-2.2.19pre17-idepci 2.2.19pre17-3

=== debian/changelog ===
kernel-image-2.2.19pre17-idepci (2.2.19pre17-3) stable unstable; urgency=low

  * don't manipulate KERNELRELEASE, kernel-source-2.2.19pre17 already did

 -- David Whedon <dwhedon@debian.org>  Sun,  1 Apr 2001 23:13:12 -0700

kernel-image-2.2.19pre17-idepci (2.2.19pre17-2) frozen unstable; urgency=low

  * build with gcc 2.7.2.3 rather than 2.95.2
  * generate a kernel-headers package as well

 -- David Whedon <dwhedon@debian.org>  Tue, 27 Mar 2001 11:56:55 -0800

kernel-image-2.2.19pre17-idepci (2.2.19pre17-1) frozen unstable; urgency=low

  * Build from new kernel source, 2.2.19pre17
  * add CONFIG_BSD_DISKLABEL (closes: Bug#81726)
  * add CONFIG_SERIAL_CONSOLE (closes: Bug#81686)

 -- David Whedon <dwhedon@debian.org>  Sun, 18 Mar 2001 07:32:38 -0800

kernel-image-2.2.17-idepci (2.2.17pre6-1) frozen unstable; urgency=low

  * Build from new kernel source, 2.2.17pre6

 -- Randolph Chung <tausq@debian.org>  Sat, 24 Jun 2000 23:35:59 -0700

kernel-image-2.2.15-idepci (1:2.2.15-2) frozen unstable; urgency=low

  * Release manager: needed to fix security hole fixed in kernel-source
  * Built from new kernel source

 -- Randolph Chung <tausq@debian.org>  Sat,  3 Jun 2000 13:21:30 -0700

kernel-image-2.2.15-idepci (1:2.2.15-1) frozen unstable; urgency=low

  * Official 2.2.15 build
  * Uses kernel-package for better compatibility with other packages

 -- Randolph Chung <tausq@debian.org>  Fri, 19 May 2000 20:55:49 -0700

kernel-image-2.2.15-idepci (2.2.15pre20-1) frozen unstable; urgency=low

  * pre20 patch
  * Enable APM support

 -- Randolph Chung <tausq@debian.org>  Sat, 29 Apr 2000 15:13:01 -0700

kernel-image-2.2.15-idepci (2.2.15pre19-1) frozen unstable; urgency=low

  * Initial release
  * Release manager: needed for i386 boot floppies support

 -- Randolph Chung <tausq@debian.org>  Sat, 22 Apr 2000 14:45:15 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "tausq@debian.org"
End:
