=== debian/control ===
Source: kernel-image-2.2.19pre17-idepci
Section: base
Priority: optional
Maintainer:  Randolph Chung <tausq@debian.org>
Build-Depends: kernel-source-2.2.19pre17
Standards-Version: 3.0.1.1

Package: kernel-image-2.2.19pre17-idepci
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image
Suggests: lilo (>= 19.1), fdutils
Description: Linux kernel binary image.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 This version of the kernel image package only has ide and PCI device support.

Package: kernel-headers-2.2.19pre17-idepci
Architecture: any
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers
Description: Header files related to Linux kernel version 2.2.19pre17-idepci
 This package provides kernel header files for version 2.2.19pre17-idepci, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.2.19pre17-idepci/debian.README.gz for details
