=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-image-*-compact
#
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
FLAVOR=idepci
Version:=$(shell head -1 debian/changelog | sed 's/^kernel-image-\(.*\)-$(FLAVOR).*$$/\1/')#'

PACKAGE=kernel-image-$(Version)-$(FLAVOR)
DESTDIR:=$(shell pwd)/debian/tmp
PATH:=$(PWD)/debian:$(PATH)

gcccheck:
	echo $(PATH)
	gcc -v

unpack: unpack-stamp
unpack-stamp:
	tar Ixf /usr/src/kernel-source-$(Version).tar.bz2
	#cp debian/linux_logo_debian_swirl.h kernel-source-$(Version)/include/linux/linux_logo.h
	#sed -e 's/^\(KERNELRELEASE=.*\)$$/\1-$$(FLAVOUR)/' kernel-source-$(Version)/Makefile > Makefile.tmp
	#mv -f Makefile.tmp kernel-source-$(Version)/Makefile
	touch unpack-stamp

build: build-stamp
build-stamp: unpack-stamp
	dh_testroot
	dh_testdir
	mkdir -p kernel-source-$(Version)/debian
	cp debian/changelog kernel-source-$(Version)/debian
	cp debian/control kernel-source-$(Version)/debian
	echo official > kernel-source-$(Version)/debian/official
	cp debian/config kernel-source-$(Version)/.config
	cd kernel-source-$(Version); make-kpkg --flavour $(FLAVOR) build

	touch build-stamp

clean:
	rm -f build-stamp install-stamp unpack-stamp
	-rm -rf kernel-source-$(Version)
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	cd kernel-source-$(Version); make-kpkg --flavour $(FLAVOR) kernel-image
	cd kernel-source-$(Version); make-kpkg --flavour $(FLAVOR) kernel_headers
	cp kernel-source-$(Version)/debian/files debian
	mv *.deb ..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpack
